import requests
from colorama import Fore, Style, init
import os

# 初始化colorama
init(autoreset=True)

# 用户手动输入接口
login_url = input("请输入登录接口的URL: ")

# 登录数据，根据实际情况填写
login_data = {
    'username': input("请输入用户名: "),
    'password': input("请输入密码: ")
}

# 如果需要，可以设置请求头
headers = {
    'Content-Type': 'application/json'
}

# 发送登录请求
response = requests.post(login_url, json=login_data, headers=headers)

# 检查响应状态码
if response.status_code == 200:
    # 获取cookie
    cookie = response.cookies.get_dict()
    print(Fore.GREEN + "Cookies:", cookie)
    
    # 假设token在响应的JSON中，键名为'token'
    token = response.json().get('token')
    print(Fore.YELLOW + "Token:", token)
    
    # 获取Authorization头，假设使用的是Bearer token
    authorization_header = f"Bearer {token}"
    print(Fore.CYAN + "Authorization:", authorization_header)
    
    # 保存cookie、token和Authorization到文件
    save_path = '/storage/emulated/0/十七的py/1cookie.txt'
    os.makedirs(os.path.dirname(save_path), exist_ok=True)  # 确保目录存在
    with open(save_path, 'w') as file:
        file.write("Cookies:\n")
        file.write(str(cookie) + "\n\n")
        file.write("Token:\n")
        file.write(token + "\n\n")
        file.write("Authorization:\n")
        file.write(authorization_header + "\n")
    print(Fore.MAGENTA + f"信息已保存到 {save_path}")
else:
    print(Fore.RED + "登录失败，请检查用户名和密码")

# 注意：在实际使用中，你需要处理可能出现的异常，例如网络问题、服务器错误等。